Adding Kokoro build scripts
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..9128700
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Fail on any error
+set -e
+
+# Display commands being run
+# Note, only use if necessary for debugging, and be careful about handling of
+# any credentials.
+# set -x
+
+# Build all targets
+CC=clang BAZEL_CXXOPTS=-std=c++17 bazel build ...:all
+
+# Test all targets
+CC=clang BAZEL_CXXOPTS=-std=c++17 bazel test ...:all
diff --git a/kokoro/gcp_ubuntu_docker/continuous.cfg b/kokoro/gcp_ubuntu_docker/continuous.cfg
new file mode 100644
index 0000000..db91558
--- /dev/null
+++ b/kokoro/gcp_ubuntu_docker/continuous.cfg
@@ -0,0 +1,7 @@
+# -*- protobuffer -*-
+# proto-file: google3/devtools/kokoro/config/proto/build.proto
+# proto-message: BuildConfig
+
+# Location of the bash script. Should have value <git_on_borg_scm.name>/<path_from_repository_root>.
+# git_on_borg_scm.name is specified in the job configuration (next section).
+build_file: "mpact-sim/kokoro/gcp_ubuntu_docker/kokoro_build.sh"
diff --git a/kokoro/gcp_ubuntu_docker/kokoro_build.sh b/kokoro/gcp_ubuntu_docker/kokoro_build.sh
new file mode 100755
index 0000000..f46e31a
--- /dev/null
+++ b/kokoro/gcp_ubuntu_docker/kokoro_build.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+# Fail on any error
+set -e
+
+cd "${KOKORO_ARTIFACTS_DIR}/git/mpact-sim"
+./build.sh
diff --git a/kokoro/gcp_ubuntu_docker/presubmit.cfg b/kokoro/gcp_ubuntu_docker/presubmit.cfg
new file mode 100644
index 0000000..db91558
--- /dev/null
+++ b/kokoro/gcp_ubuntu_docker/presubmit.cfg
@@ -0,0 +1,7 @@
+# -*- protobuffer -*-
+# proto-file: google3/devtools/kokoro/config/proto/build.proto
+# proto-message: BuildConfig
+
+# Location of the bash script. Should have value <git_on_borg_scm.name>/<path_from_repository_root>.
+# git_on_borg_scm.name is specified in the job configuration (next section).
+build_file: "mpact-sim/kokoro/gcp_ubuntu_docker/kokoro_build.sh"